## freeradius 3.0.21+dfsg

=== Makefile ===
#
# Makefile
#
#		NOTE: This top-level Makefile must not
#		use GNU-make extensions. The lower ones can.
#
# Version:	$Id: 9815c94a5197f660f6aeafed53c9862fc5329efc $
#

#
#	we didn't called ./configure? just define the version.
#
RADIUSD_VERSION_STRING := $(shell cat VERSION)

#
#  The default rule is "all".
#
all:

#
#  Catch people who try to use BSD make
#
ifeq "0" "1"
.error GNU Make is required to build FreeRADIUS
endif

#
#  We require Make.inc, UNLESS the target is "make deb"
#
#  Since "make deb" re-runs configure... there's no point in
#  requiring the developer to run configure *before* making
#  the debian packages.
#
ifneq "$(MAKECMDGOALS)" "deb"
ifneq "$(MAKECMDGOALS)" "rpm"
ifeq "$(findstring docker,$(MAKECMDGOALS))" ""
ifeq "$(findstring crossbuild,$(MAKECMDGOALS))" ""
$(if $(wildcard Make.inc),,$(error Missing 'Make.inc' Run './configure [options]' and retry))

include Make.inc
endif
endif
endif
endif

MFLAGS += --no-print-directory

# The version of GNU Make is too old, don't use it (.FEATURES variable was
# wad added in 3.81)
ifndef .FEATURES
$(error The build system requires GNU Make 3.81 or later.)
endif

export DESTDIR := $(R)

# And over-ride all of the other magic.
ifneq "$(MAKECMDGOALS)" "deb"
ifneq "$(MAKECMDGOALS)" "rpm"
ifeq "$(findstring docker,$(MAKECMDGOALS))" ""
ifeq "$(findstring crossbuild,$(MAKECMDGOALS))" ""
include scripts/boiler.mk
endif
endif
endif
endif

#
#  To work around OpenSSL issues with travis.
#
.PHONY:
raddb/test.conf:
	@echo 'security {' >> $@
	@echo '        allow_vulnerable_openssl = yes' >> $@
	@echo '}' >> $@
	@echo '$$INCLUDE radiusd.conf' >> $@

#
#  Run "radiusd -C", looking for errors.
#
# Only redirect STDOUT, which should contain details of why the test failed.
# Don't molest STDERR as this may be used to receive output from a debugger.
$(BUILD_DIR)/tests/radiusd-c: raddb/test.conf ${BUILD_DIR}/bin/radiusd | build.raddb
	@$(MAKE) -C raddb/certs
	@printf "radiusd -C... "
	@if ! FR_LIBRARY_PATH=./build/lib/local/.libs/ ./build/make/jlibtool --mode=execute ./build/bin/radiusd -XCMd ./raddb -D ./share -n test > $(BUILD_DIR)/tests/radiusd.config.log; then \
		rm -f raddb/test.conf; \
		cat $(BUILD_DIR)/tests/radiusd.config.log; \
		echo "fail"; \
		exit 1; \
	fi
	@rm -f raddb/test.conf
	@echo "ok"
	@touch $@

test: ${BUILD_DIR}/bin/radiusd ${BUILD_DIR}/bin/radclient tests.unit tests.xlat tests.keywords tests.auth tests.modules $(BUILD_DIR)/tests/radiusd-c | build.raddb
	@$(MAKE) -C src/tests tests

#  Tests specifically for Travis.  We do a LOT more than just
#  the above tests
travis-test: raddb/test.conf test
	@FR_LIBRARY_PATH=./build/lib/local/.libs/ ./build/make/jlibtool --mode=execute ./build/bin/radiusd -xxxv -n test
	@rm -f raddb/test.conf
	@$(MAKE) install
	@perl -p -i -e 's/allow_vulnerable_openssl = no/allow_vulnerable_openssl = yes/' ${raddbdir}/radiusd.conf
	@sh ${HOME}/freeradius/etc/raddb/certs
	@${sbindir}/radiusd -XC

#
# The $(R) is a magic variable not defined anywhere in this source.
# It's purpose is to allow an admin to create an installation 'tar'
# file *without* actually installing it.  e.g.:
#
#  $ R=/home/root/tmp make install
#  $ cd /home/root/tmp
#  $ tar -cf ~/freeradius-package.tar *
#
# The 'tar' file can then be un-tar'd on any similar machine.  It's a
# cheap way of creating packages, without using a package manager.
# Many of the platform-specific packaging tools use the $(R) variable
# when creating their packages.
#
# For compatibility with typical GNU packages (e.g. as seen in libltdl),
# we make sure DESTDIR is defined.
#
export DESTDIR := $(R)

DICTIONARIES := $(wildcard share/dictionary*)
install.share: $(addprefix $(R)$(dictdir)/,$(notdir $(DICTIONARIES)))

$(R)$(dictdir)/%: share/%
	@echo INSTALL $(notdir $<)
	@$(INSTALL) -m 644 $< $@

MANFILES := $(wildcard man/man*/*.?)
MANDIR   := $(wildcard man/man*)
install.man: $(subst man/,$(R)$(mandir)/,$(MANFILES))

$(MANDIR):
	@echo INSTALL $(patsubst $(R)$(mandir)/%,man/%,$@)
	@$(INSTALL) -d -m 755 $@

$(R)$(mandir)/%: man/% | $(dir $@)
	@echo INSTALL $(notdir $<)
	@sed -e "s,/etc/raddb,$(raddbdir),g" \
		-e "s,/usr/local/share,$(datarootdir),g" \
		$< > $<.subst
	@$(INSTALL) -m 644 $<.subst $@
	@rm $<.subst

#
#  Don't install rlm_test
#
ALL_INSTALL := $(patsubst %rlm_test.la,,$(ALL_INSTALL))

install: install.share install.man
	@$(INSTALL) -d -m 700	$(R)$(logdir)
	@$(INSTALL) -d -m 700	$(R)$(radacctdir)

ifneq ($(RADMIN),)
ifneq ($(RGROUP),)
.PHONY: install-chown
install-chown:
	chown -R $(RADMIN)   $(R)$(raddbdir)
	chgrp -R $(RGROUP)   $(R)$(raddbdir)
	chmod u=rwx,g=rx,o=  `find $(R)$(raddbdir) -type d -print`
	chmod u=rw,g=r,o=    `find $(R)$(raddbdir) -type f -print`
	chown -R $(RADMIN)   $(R)$(logdir)
	chgrp -R $(RGROUP)   $(R)$(logdir)
	find $(R)$(logdir) -type d -exec chmod u=rwx,g=rwx,o= {} \;
	find $(R)$(logdir) -type d -exec chmod g+s {} \;
	find $(R)$(logdir) -type f -exec chmod u=rw,g=rw,o= {} \;
	chown -R $(RADMIN)   $(R)$(RUNDIR)
	chgrp -R $(RGROUP)   $(R)$(RUNDIR)
	find $(R)$(RUNDIR) -type d -exec chmod u=rwx,g=rwx,o= {} \;
	find $(R)$(RUNDIR) -type d -exec chmod g+s {} \;
	find $(R)$(RUNDIR) -type f -exec chmod u=rw,g=rw,o= {} \;
endif
endif

distclean: clean
	@-find src/modules -regex .\*/config[.][^.]*\$$ -delete
	@-find src/modules -name autom4te.cache -exec rm -rf '{}' \;
	@rm -rf config.cache config.log config.status libtool \
		src/include/radpaths.h src/include/stamp-h \
		libltdl/config.log libltdl/config.status \
		libltdl/libtool autom4te.cache build
	@-find . ! -name configure.ac -name \*.in -print | \
		sed 's/\.in$$//' | \
		while read file; do rm -f $$file; done

######################################################################
#
#  Automatic remaking rules suggested by info:autoconf#Automatic_Remaking
#
######################################################################
#
#  Do these checks ONLY if we're re-building the "configure"
#  scripts, and ONLY the "configure" scripts.  If we leave
#  these rules enabled by default, then they're run too often.
#
ifeq "$(MAKECMDGOALS)" "reconfig"

CONFIGURE_AC_FILES := $(shell find . -name configure.ac -print)
CONFIGURE_FILES	   := $(patsubst %.ac,%,$(CONFIGURE_AC_FILES))

#
#  The GNU tools make autoconf=="missing autoconf", which then returns
#  0, even when autoconf doesn't exist.  This check is to ensure that
#  we run AUTOCONF only when it exists.
#
AUTOCONF_EXISTS := $(shell autoconf --version 2>/dev/null)

ifeq "$(AUTOCONF_EXISTS)" ""
$(error You need to install autoconf to re-build the "configure" scripts)
endif

# Configure files depend on "in" files, and on the top-level macro files
# If there are headers, run auto-header, too.
src/%configure: src/%configure.ac acinclude.m4 aclocal.m4 $(wildcard $(dir $@)m4/*m4) | src/freeradius-devel
	@echo AUTOCONF $(dir $@)
	cd $(dir $@) && $(AUTOCONF) -I $(top_builddir) -I $(top_builddir)/m4 -I $(top_builddir)/$(dir $@)m4
	@if grep AC_CONFIG_HEADERS $@ >/dev/null; then\
		echo AUTOHEADER $@ \
		cd $(dir $@) && $(AUTOHEADER); \
	 fi

# "%configure" doesn't match "configure"
configure: configure.ac $(wildcard ac*.m4) $(wildcard m4/*.m4)
	@echo AUTOCONF $@
	@$(AUTOCONF)

src/include/autoconf.h.in: configure.ac
	@echo AUTOHEADER $@
	@$(AUTOHEADER)

reconfig: $(CONFIGURE_FILES) src/include/autoconf.h.in

config.status: configure
	./config.status --recheck

# target is "configure"
endif

#  If we've already run configure, then add rules which cause the
#  module-specific "all.mk" files to depend on the mk.in files, and on
#  the configure script.
#
ifneq "$(wildcard config.log)" ""
CONFIGURE_ARGS	   := $(shell head -10 config.log | grep '^  \$$' | sed 's/^....//;s:.*configure ::')

src/%all.mk: src/%all.mk.in src/%configure
	@echo CONFIGURE $(dir $@)
	@rm -f ./config.cache $(dir $<)/config.cache
	@cd $(dir $<) && ./configure $(CONFIGURE_ARGS)
endif

.PHONY: check-includes
check-includes:
	scripts/min-includes.pl `find . -name "*.c" -print`

.PHONY: TAGS
TAGS:
	etags `find src -type f -name '*.[ch]' -print` > $@

#
#  Make test certificates.
#
.PHONY: certs
certs:
	@$(MAKE) -C raddb/certs

######################################################################
#
#  Make a release.
#
#  Note that "Make.inc" has to be updated with the release number
#  BEFORE running this command!
#
######################################################################
BRANCH = $(shell git rev-parse --abbrev-ref HEAD)

freeradius-server-$(RADIUSD_VERSION_STRING).tar.gz: .git
	git archive --format=tar --prefix=freeradius-server-$(RADIUSD_VERSION_STRING)/ $(BRANCH) | gzip > $@

freeradius-server-$(RADIUSD_VERSION_STRING).tar.bz2: .git
	git archive --format=tar --prefix=freeradius-server-$(RADIUSD_VERSION_STRING)/ $(BRANCH) | bzip2 > $@

%.sig: %
	gpg --default-key packages@freeradius.org -b $<

# high-level targets
.PHONY: dist-check
dist-check: redhat/freeradius.spec suse/freeradius.spec debian/changelog
	@if [ `grep ^Version: redhat/freeradius.spec | sed 's/.*://;s/ //g'` != "$(RADIUSD_VERSION_STRING)" ]; then \
		cat redhat/freeradius.spec | sed 's/^Version:.*/Version: $(RADIUSD_VERSION_STRING)/' > redhat/.foo; \
		mv redhat/.foo redhat/freeradius.spec; \
		echo redhat/freeradius.spec 'Version' needs to be updated; \
		exit 1; \
	fi
	@if [ `grep ^Version: suse/freeradius.spec | sed 's/.*://;s/ //g'` != "$(RADIUSD_VERSION_STRING)" ]; then \
		cat suse/freeradius.spec | sed 's/^Version: .*/Version:      $(RADIUSD_VERSION_STRING)/' > suse/.foo; \
		mv suse/.foo suse/freeradius.spec; \
		echo suse/freeradius.spec 'Version' needs to be updated; \
		exit 1; \
	fi
	@if [ `head -n 1 doc/ChangeLog | awk '/^FreeRADIUS/{print $$2}'` != "$(RADIUSD_VERSION_STRING)" ]; then \
		echo doc/ChangeLog needs to be updated; \
		exit 1; \
	fi
	@if [ `head -n 1 debian/changelog | sed 's/.*(//;s/-0).*//;s/-1).*//;s/\+.*//'` != "$(RADIUSD_VERSION_STRING)" ]; then \
		echo debian/changelog needs to be updated; \
		exit 1; \
	fi

dist: dist-check freeradius-server-$(RADIUSD_VERSION_STRING).tar.gz freeradius-server-$(RADIUSD_VERSION_STRING).tar.bz2

dist-sign: dist-check freeradius-server-$(RADIUSD_VERSION_STRING).tar.gz.sig freeradius-server-$(RADIUSD_VERSION_STRING).tar.bz2.sig

dist-publish: freeradius-server-$(RADIUSD_VERSION_STRING).tar.gz.sig freeradius-server-$(RADIUSD_VERSION_STRING).tar.gz freeradius-server-$(RADIUSD_VERSION_STRING).tar.gz.sig freeradius-server-$(RADIUSD_VERSION_STRING).tar.bz2 freeradius-server-$(RADIUSD_VERSION_STRING).tar.gz.sig freeradius-server-$(RADIUSD_VERSION_STRING).tar.bz2.sig
	scp $^ freeradius.org@ftp.freeradius.org:public_ftp

#
#  Note that we do NOT do the tagging here!  We just print out what
#  to do!
#
dist-tag: freeradius-server-$(RADIUSD_VERSION_STRING).tar.gz freeradius-server-$(RADIUSD_VERSION_STRING).tar.bz2
	@echo "git tag release_`echo $(RADIUSD_VERSION_STRING) | tr .- __`"

#
#	Docker-related targets (main docker images and crossbuild)
#
ifneq "$(findstring docker,$(MAKECMDGOALS))" ""
include scripts/docker/docker.mk
endif

ifneq "$(findstring crossbuild,$(MAKECMDGOALS))" ""
include scripts/crossbuild/crossbuild.mk
endif

#
#	Build a debian package
#
.PHONY: deb
deb:
	fakeroot debian/rules debian/control #clean
	fakeroot dpkg-buildpackage -b -uc

#
#	Build a rpm package
#
.PHONY: rpm
rpmbuild/SOURCES/freeradius-server-$(RADIUSD_VERSION_STRING).tar.bz2: freeradius-server-$(RADIUSD_VERSION_STRING).tar.bz2
	@mkdir -p $(addprefix rpmbuild/,SOURCES SPECS BUILD RPMS SRPMS BUILDROOT)
	@for file in `awk '/^Source...:/ {print $$2}' redhat/freeradius.spec` ; do cp redhat/$$file rpmbuild/SOURCES/$$file ; done
	@cp $< $@

rpm: rpmbuild/SOURCES/freeradius-server-$(RADIUSD_VERSION_STRING).tar.bz2
	@if ! yum-builddep -q -C --assumeno redhat/freeradius.spec 1> /dev/null 2>&1; then \
		echo "ERROR: Required depdendencies not found, install them with: yum-builddep redhat/freeradius.spec"; \
		exit 1; \
	fi
	@QA_RPATHS=0x0003 rpmbuild --define "_topdir `pwd`/rpmbuild" -bb redhat/freeradius.spec

# Developer checks

=== debian/changelog ===
freeradius (3.0.21+dfsg-2.2+deb11u2) bullseye-security; urgency=medium

  * Non-maintainer upload by the Debian LTS Team.
  * Fix CVE-2022-41859, CVE-2022-41860, CVE-2022-41861

 -- Abhijith PA <abhijith@debian.org>  Thu, 26 Jun 2025 15:52:51 +0530

freeradius (3.0.21+dfsg-2.2+deb11u1) bullseye; urgency=medium

  * Cherry-Pick upstream fix for a crash bug (Closes: #992036)
  * Cherry-pick upstream fix to add missing continuation in postgresql
    sample config (Closes: #992207)
  * d/gbp.conf for the debian/bullseye branch

 -- Bernhard Schmidt <berni@debian.org>  Fri, 03 Sep 2021 16:47:35 +0200

freeradius (3.0.21+dfsg-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Don't fail postinst if daemon is not running (Closes: #991561, #932113)

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 28 Jul 2021 12:28:32 +0200

freeradius (3.0.21+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix capabilities in service file.
    As freeradius is not run as root we need to request extra capabilities
    wiht AmbientCapabilities instead of limiting the set with
    CapabilityBoundingSet. (Closes: #985967)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 23 Jul 2021 13:19:03 +0200

=== debian/control ===
Source: freeradius
Build-Depends: debhelper (>= 10~),
               default-libmysqlclient-dev | libmysqlclient-dev,
               freetds-dev,
               libcap-dev,
#		Temporarily disable due to collectd RC bugs
#               libcollectdclient-dev,
               libcurl4-openssl-dev | libcurl4-gnutls-dev,
               libgdbm-dev,
               libhiredis-dev,
               libiodbc2-dev,
               libjson-c-dev,
               libkrb5-dev | heimdal-dev,
               libldap2-dev,
               libmemcached-dev,
               libpam0g-dev,
               libpcap-dev,
               libpcre3-dev,
               libperl-dev,
               libpq-dev,
               libreadline-dev,
               libsasl2-dev,
               libsqlite3-dev,
               libssl-dev,
               libsystemd-dev,
               libtalloc-dev,
               libwbclient-dev,
               libykclient-dev,
               libyubikey-dev,
               python3-dev,
               samba-dev | samba4-dev,
               snmp
Section: net
Priority: optional
Maintainer: Debian FreeRADIUS Packaging Team <pkg-freeradius-maintainers@lists.alioth.debian.org>
Uploaders: Mark Hymers <mhy@debian.org>,
           Sam Hartman <hartmans@debian.org>,
           Bernhard Schmidt <berni@debian.org>
Standards-Version: 4.4.1
Homepage: http://www.freeradius.org/
Vcs-Git: https://salsa.debian.org/debian/freeradius.git
Vcs-Browser: https://salsa.debian.org/debian/freeradius

Package: freeradius
Architecture: any
Depends: freeradius-common,
         freeradius-config,
         libfreeradius3 (= ${binary:Version}),
         lsb-base (>= 3.1-23.2),
         ${dist:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Provides: radius-server
Recommends: freeradius-utils
Suggests: freeradius-krb5,
          freeradius-ldap,
          freeradius-mysql,
          freeradius-postgresql,
          freeradius-python3,
          snmp
Description: high-performance and highly configurable RADIUS server
 FreeRADIUS is a high-performance RADIUS server with support for:
  - Authentication by local files, SQL, Kerberos, LDAP, PAM, and more.
  - Powerful policy configuration language.
  - Proxying and replicating requests by any criteria.
  - Support for many EAP types; TLS, PEAP, TTLS, etc.
  - Many vendor-specific attributes.
  - Regexp matching in string attributes.
 and lots more.

Package: freeradius-common
Depends: adduser, ${misc:Depends}
Architecture: all
Conflicts: radiusd-livingston, xtradius, yardradius
Replaces: freeradius (<< 3)
Description: FreeRADIUS common files
 This package contains common files used by several of the other packages from
 the FreeRADIUS project.

Package: freeradius-config
Architecture: any
Depends: adduser,
         ca-certificates,
         freeradius-common (>= 3),
         make,
         openssl,
         ssl-cert,
         ${misc:Depends}
Breaks: freeradius (<< 3.0.11+dfsg-1), freeradius-config
Replaces: freeradius (<< 3.0.11+dfsg-1)
Description: FreeRADIUS default config files
 freeradius-config contains the default configuration for FreeRADIUS.
 .
 You can install a custom package which sets "Provides: freeradius-config" in
 order to use the FreeRADIUS packages without any default configuration getting
 into your way.

Package: freeradius-utils
Architecture: any
Replaces: freeradius (<< 3)
Conflicts: radiusd-livingston, yardradius
Depends: freeradius-common,
         freeradius-config,
         libfreeradius3 (= ${binary:Version}),
         ${dist:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libdbi-perl
Description: FreeRADIUS client utilities
 This package contains various client programs and utilities from
 the FreeRADIUS Server project, including:
  - radclient
  - radeapclient
  - radlast
  - radsniff
  - radsqlrelay
  - radtest
  - radwho
  - radzap
  - rlm_ippool_tool
  - smbencrypt

Package: libfreeradius3
Architecture: any
Depends: ${dist:Depends}, ${misc:Depends}, ${shlibs:Depends}
Breaks: libfreeradius-dev (<< 3.0.11+dfsg-1)
Replaces: libfreeradius-dev (<< 3.0.11+dfsg-1)
Description: FreeRADIUS shared library
 The FreeRADIUS projects' libfreeradius-radius and libfreeradius-eap, used by
 the FreeRADIUS server and some of the utilities.

Package: libfreeradius-dev
Architecture: any
Section: libdevel
Depends: freeradius-dhcp (= ${binary:Version}),
         libfreeradius3 (= ${binary:Version}),
         ${dist:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: FreeRADIUS shared library development files
 The FreeRADIUS projects' libfreeradius-radius and libfreeradius-eap, used by
 the FreeRADIUS server and some of the utilities.
 .
 This package contains the development headers and static library version.

Package: freeradius-dhcp
Architecture: any
Depends: freeradius (= ${binary:Version}),
         ${dist:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: DHCP module for FreeRADIUS server
 The FreeRADIUS server can act as a DHCP server, and this module
 is necessary for that.

Package: freeradius-krb5
Architecture: any
Depends: freeradius (= ${binary:Version}),
         ${dist:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: kerberos module for FreeRADIUS server
 The FreeRADIUS server can use Kerberos to authenticate users, and this module
 is necessary for that.

Package: freeradius-ldap
Architecture: any
Depends: freeradius (= ${binary:Version}),
         ${dist:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: LDAP module for FreeRADIUS server
 The FreeRADIUS server can use LDAP to authenticate users, and this module
 is necessary for that.

Package: freeradius-rest
Architecture: any
Depends: freeradius (= ${binary:Version}),
         ${dist:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: REST module for FreeRADIUS server
 The FreeRADIUS server can make calls to remote web APIs, and this module
 is necessary for that.

Package: freeradius-postgresql
Architecture: any
Depends: freeradius (= ${binary:Version}),
         ${dist:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: PostgreSQL module for FreeRADIUS server
 The FreeRADIUS server can use PostgreSQL to authenticate users and do
 accounting, and this module is necessary for that.

Package: freeradius-mysql
Architecture: any
Depends: freeradius (= ${binary:Version}),
         ${dist:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: MySQL module for FreeRADIUS server
 The FreeRADIUS server can use MySQL to authenticate users and do accounting,
 and this module is necessary for that.

Package: freeradius-iodbc
Architecture: any
Depends: freeradius (= ${binary:Version}),
         ${dist:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: iODBC module for FreeRADIUS server
 The FreeRADIUS server can use iODBC to access databases to authenticate users
 and do accounting, and this module is necessary for that.

Package: freeradius-redis
Architecture: any
Depends: freeradius (= ${binary:Version}),
         ${dist:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: Redis module for FreeRADIUS server
 This module is required to enable the FreeRADIUS server to access
 Redis databases.

Package: freeradius-memcached
Architecture: any
Depends: freeradius (= ${binary:Version}),
         ${dist:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: Memcached module for FreeRADIUS server
 The FreeRADIUS server can cache data in memcached and this package
 contains the required module.

Package: freeradius-yubikey
Architecture: any
Depends: freeradius (= ${binary:Version}),
         ${dist:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: Yubikey module for FreeRADIUS server
 This package is required to add Yubikey functionality to the
 FreeRADIUS server.

Package: freeradius-python3
Architecture: any
Depends: freeradius (= ${binary:Version}),
         ${dist:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: freeradius (<< 3.0.16+dfsg-4~)
Replaces: freeradius (<< 3.0.16+dfsg-4~)
Description: Python 3 module for FreeRADIUS server
 This package is required to add Python 3 functionality to the
 FreeRADIUS server.
 .
 It was introduced in FreeRADIUS 3.0.20 as EXPERIMENTAL module. Use at
 your own risk.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
       NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
       MAKEFLAGS += -j$(NUMJOBS)
endif

override_dh_auto_clean:
	[ ! -f Make.inc ] || dh_auto_clean

override_dh_auto_build:
	# dh_auto_install does both, compilation and installation.

override_dh_auto_install:
	VERBOSE=1 $(MAKE) install R=debian/tmp PACKAGE='debian'

override_dh_auto_test:
	# TODO: enable testing

override_dh_install:
	mv debian/tmp/usr/sbin/radiusd debian/tmp/usr/sbin/freeradius
	mv debian/tmp/usr/share/man/man8/radiusd.8 debian/tmp/usr/share/man/man8/freeradius.8
	# Not installed as we do not install the dhcpclient binary as per
	# https://github.com/FreeRADIUS/freeradius-server/issues/1734#issuecomment-247848277
	rm debian/tmp/usr/share/man/man1/dhcpclient.1
	# Remove all libtool .la files, as per
	# https://wiki.debian.org/ReleaseGoals/LAFileRemoval
	find debian/tmp/usr/lib/freeradius -name "*.la" -delete
	# Remove all plugin .a files (unnecessary), keep libfreeradius .a files
	# for end-users who want to statically link against libfreeradius.
	find debian/tmp/usr/lib/freeradius -name "*.a" -and \! -name "libfreeradius-*.a" -delete
	# We create the {mods,sites}-enabled links in freeradius-config.postinst
	# so that they are not re-created when users upgrade to a newer version.
	rm debian/tmp/etc/freeradius/3.0/mods-enabled/*
	rm debian/tmp/etc/freeradius/3.0/sites-enabled/*
	dh_install

override_dh_missing:
	# Use --fail-missing so that new files e.g. in usr/lib/freeradius/rlm_*
	# can be detected and added to debian/freeradius.install. We cannot use
	# globbing because some files are split into more specific packages,
	# e.g. freeradius-mysql.
	dh_missing --fail-missing

override_dh_installpam:
	dh_installpam --name=radiusd

override_dh_installinit:
	dh_installinit --noscripts

override_dh_compress:
	dh_compress -Xexamples

override_dh_installdocs:
	dh_installdocs -Xdebian/tmp/usr/share/doc/freeradius/ChangeLog

override_dh_strip:
	dh_strip --dbgsym-migration='freeradius-dbg (<< 3.0.11-1~)'

override_dh_gencontrol:
	dh_gencontrol -- $(SUBSTVARS)

override_dh_auto_configure:
	dh_auto_configure -- $(confflags) \
		--config-cache \
		--disable-developer \
		--disable-openssl-version-check \
		--exec-prefix=/usr \
		--libdir=/usr/lib/freeradius \
		--datadir=/usr/share \
		--with-raddbdir=/etc/freeradius/3.0 \
		--with-logdir=/var/log/freeradius \
		--with-large-files \
		--with-udpfromto \
		--without-rlm_eap_tnc \
		--with-rlm_sql_postgresql_lib_dir=`pg_config --libdir` \
		--with-rlm_sql_postgresql_include_dir=`pg_config --includedir` \
		--with-iodbc-include-dir='/usr/include/iodbc' \
		--with-modules=rlm_python3 \
		--without-rlm_eap_ikev2 \
		--without-rlm_sql_oracle \
		--without-rlm_sql_unixodbc \
		--with-systemd

%:
	dh $@ --with autoreconf
